package w83b.w83bOperacionesPaso.w83bImpugnaciones;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.DynaActionForm;


import w83b.w83bBeans.W83bImpugnacionBean;
import w83b.w83bUtilidadesComunes.W83bClsConstantes;
import es.ejie.frmk.presentacion.operacion.paso.Q70ActionPasoOP;
import es.ejie.frmk.presentacion.sesiondatos.Q70ContextoEJIE;

public class W83bAtrasNuevoEdicionAction extends Q70ActionPasoOP{

	
	protected void processOP(Q70ContextoEJIE contexto, ActionErrors errores, ActionMapping mapping,
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		
		contexto.set("migas","inicio.impugnaciones.busqImpugnaciones");
		contexto.set("strTitleKey","comun.impugnaciones.laberBusqueda");
		contexto.set("modoPantalla",W83bClsConstantes.MODO_BUSQUEDA_CONBUSQ_INICIAL);
		
		
		contexto.set("w83bImpugnacionBean",contexto.get("w83bImpugnacionTempBean"));
		contexto.set("w83bprovincia",((W83bImpugnacionBean)contexto.get("w83bImpugnacionTempBean")).getCentroTrabajo().getCodTerritorio());
		contexto.set("w83bmunicipio",((W83bImpugnacionBean)contexto.get("w83bImpugnacionTempBean")).getCentroTrabajo().getCodMunicipio());
		contexto.set("w83btipoVoz",((W83bImpugnacionBean)contexto.get("w83bImpugnacionTempBean")).getTipoVoz());
		contexto.set("w83bvoz",((W83bImpugnacionBean)contexto.get("w83bImpugnacionTempBean")).getVoz());
		
		DynaActionForm formu = (DynaActionForm)form;
		formu.set("w83bImpugnacionBean", contexto.get("w83bImpugnacionTempBean"));
		formu.set("w83bprovincia",((W83bImpugnacionBean)contexto.get("w83bImpugnacionTempBean")).getCentroTrabajo().getCodTerritorio());
		formu.set("w83bmunicipio",((W83bImpugnacionBean)contexto.get("w83bImpugnacionTempBean")).getCentroTrabajo().getCodMunicipio());
		formu.set("w83btipoVoz",((W83bImpugnacionBean)contexto.get("w83bImpugnacionTempBean")).getTipoVoz());
		formu.set("w83bvoz",((W83bImpugnacionBean)contexto.get("w83bImpugnacionTempBean")).getVoz());
		request.setAttribute("w83bFormBusqImpugnaciones", formu);
	}

	protected ActionForward processForward(Q70ContextoEJIE contexto, ActionErrors errors, ActionMapping mapping, 
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {

		return mapping.findForward("ok");
	}

}